﻿/* GENERAL */

body {
  margin: 0;
  font-family: 'Inter', sans-serif;
  background-color: #f6f6f6;
  color: #003366;
  position: relative;
  z-index: 0;
}

body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("../img/background_tracks.png");  
  background-position: top left;
  background-size: auto, auto;  
  z-index: -1;
  pointer-events: none;
}

/* LANGUAGE */

.language-switch {
  text-align: right;
  font-size: 0.7rem;
  padding: 0.5rem 1rem 0 0;
  background: white;
}

.language-switch a {
  color: #0071ce;
  text-decoration: none;
  margin: 0 0.5rem;
}

.language-switch a:first-child {
  margin-left: 0;
}

.language-switch a.active {
  color: black;
  font-weight: bold;
}

/* HEADER */

.page-header {
  text-align: center;
  padding: 2rem 0 1rem; /*inner distance*/
  background: white;
}

@media (max-width: 768px) {
    header img {
        width: 60%;
        height: auto;
    }
}

.logo {
  display: block;
  margin: 0 auto;
  height: auto;
  max-width: 100%;
}

.contact-bubbles {
  display: block;
  margin: 0 auto;
  height: auto;
  width: 150px;
  max-width: 30%;
}


/* DESKTOP NAVIGATION */

.nav-background {
  background: linear-gradient(to bottom, #ffffff 0%, #f6f6f6 100%);
}

.main-nav {
  background-color: #0071ce;
  border-radius: 8px;
  margin: 0 0.5rem; /*outer distance*/
}

.main-nav ul { /*navigation list*/
  list-style: none;
  display: flex;
  justify-content: center;
  padding: 1rem 0;
  margin: 0;
  flex-wrap: wrap;
  gap: 3.8rem;
}

.main-nav li { /*navigation list items*/
  margin: 0;
}

.main-nav a { /*navigation list item links*/
  color: white; /*text*/
  text-decoration: none;
  font-weight: 300;
  font-size: 1rem;
  letter-spacing: 0.05em;
}

/* MOBILE NAVIGATION */

.burger-menu {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 30px;
  margin: 10px auto;
  cursor: pointer;
  padding-top:18px;

}

.burger-line {
  width: 35px;
  height: 4px;
  background-color: #0071ce;
  margin: 3px 0;
  border-radius: 2px;
}

@media (max-width: 768px) {
  .burger-menu {
    display: flex;
  }

  #nav-menu {
    display: none;
    background: white;
    padding-bottom: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: 0px;
  }

  #nav-menu.active {
    display: flex;
  }

  #nav-menu ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    list-style: none;
    padding: 0;
    margin: 0;
  }

  #nav-menu li {
    margin: 5px 0;
  }

  #nav-menu a {
    font-family: 'Inter', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    color: #0071ce;
    text-decoration: none;
  }
}

/* CONTENT WRAPPER/FRAME */

.content-wrapper {
  background: f6f6f6;  
  box-shadow: none;
  border: none;
  outline: none;
  margin: 0 auto;
  padding: 40px 20px 0 20px;  
  max-width: 860px;
  border-radius: 12px;
  overflow: hidden;
}

.content-wrapper + div {
  display: none;
}

.content-wrapper section {
  margin-bottom: 0;
  padding-bottom: 40px;
  box-shadow: none;
  border: none;
}

.content-wrapper section:last-child {
  margin-bottom: 0;
  padding-bottom: 0;
  border: none;
}

@media (max-width: 768px) {
  .content-wrapper {
    padding: 5px 20px 0 20px;    
    }
}

/* SITE CAROUSEL */

.carousel-wrapper { /*frame*/
  max-width: 860px;
  margin: 2rem auto 0 auto;
  border-radius: 4px 4px 0 0;
  overflow: hidden;
}

.carousel { /*content*/
  aspect-ratio: 16 / 6;
  height: auto;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  position: relative;
}

.carousel-slide {
  width: 100%;
  position: absolute;
  opacity: 0;
  transition: opacity 1.5s ease;
  pointer-events: none;
}

.carousel-slide.active {
  display: block;
  opacity: 1;
  pointer-events: auto;
}

.carousel-slide img {
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: bottom center;
  border-radius: 12px;
  -webkit-user-drag: none;
  user-select: none;

}

.carousel-dots {
  text-align: center;
  padding: 0.5rem 0;
  background-color: #ffffff;
}

.carousel-dots .dot {
  height: 10px;
  width: 10px;
  margin: 0 5px;
  display: inline-block;
  border-radius: 50%;
  background-color: #ccc;
  cursor: pointer;
}

.carousel-dots .dot.active {
  background-color: #0071ce;
}

.click-left, .click-right {
  position: absolute;
  top: 0;
  width: 50%;
  height: 100%;
  z-index: 999;
  cursor: pointer;
}

.click-left {
  left: 0;
}

.click-right {
  right: 0;
}

/* SITE CONTENT */

.sitecontent {
  max-width: 860px;
  /*margin: 2rem auto;*/
  padding: 2rem;
  font-size: 1rem;
  color: #003366; /*text*/
  line-height: 1.6;
  background-color: white;
  box-shadow: 0 0 8px rgba(0,0,0,0.05);
  border-radius: 0 0 12px 12px;
  text-align: justify;
  hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  overflow-wrap: break-word;

}

.sitecontent p a {
  color: #003366;
  text-decoration: underline;
}

.sitecontent ul {
  list-style: none;
  padding-left: 0;
}

.sitecontent li {
  margin: 0.7rem 0;
}

.sitecontent h1 { /*headline*/
  color: #0071ce;
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

.sitecontent h2.subline { /*subline*/
  margin-top: -0.5rem;
  margin-bottom: 1.5rem;
  font-weight: 300;
  font-size: 1.25rem;
  color: #0071ce;
}

.sitecontent h3.subline { /*subline with fade-in*/
  margin-top: -0.5rem;
  margin-bottom: -1.2rem;
  font-weight: 300;
  font-size: 1.1rem;
  color: #0071ce;
  opacity: 0;
  animation: fadeIn 4s ease 3s forwards;
  text-align: right;
  font-style: italic;
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

.button-link {
  display: inline-block;
  padding: 0.6rem 1.2rem;
  width: 250px;
  font-size: 1rem;
  background-color: #0071ce;
  color: #fff;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  text-decoration: none;
  transition: background-color 0.3s ease;
}

.button-link:hover {
  background-color: #444;
}

.button-link-container {
  display: flex;
  justify-content: center;
  gap: 5rem;
  flex-wrap: wrap;
  text-align: center;
  padding: 30px;
}

@media (max-width: 768px) {
  .sitecontent {
    margin: 0rem auto;
    padding: 1rem;
    font-size: 0.875rem;
    text-align: justify;
    hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    overflow-wrap: break-word;

  }

  .sitecontent h1 {
    font-size: 1.4rem;
  }

  .sitecontent h2.subline {
    font-size: 1rem;
  }
  
  .sitecontent h3.subline {
    font-size: 0.8rem;
    margin-bottom: 1.2rem;
  }
  
  .button-link {
    width: 85%;
  }
    
  .button-link:hover {
    background-color: #0071ce;
  }
  
  .button-link-container {
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
    padding: 30px;
  }
  
  .button-link-wrapper {
    width: 85%;
    margin-bottom: 0.5rem;
  }
    
}

/* FOOTER */

.footer {
  background-color: #666666;
  text-align: center;
  font-size: 0.7rem;
  padding: 0.5rem 0;
  margin-top: 40px;
  color: #eeeeee;
}

.footer a {
  color:#eeeeee;
  text-decoration: none;
}


@media (max-width: 768px) {
  .footer {
    font-size: 0.75rem;
    /*padding: 0.5rem 0;*/
  }
}

/* CONTACTFORM */

#kontaktformular {
  margin-top: 3rem;
  background: #f0f0f0;
  padding: 2rem;
  border-radius: 12px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.20);
  max-width: 700px;
  margin-left: auto;
  margin-right: auto;
}

.kontakt-form {
  display: flex;
  flex-direction: column;
}

.kontakt-form label,
form label {
  margin-top: 1rem;
  margin-bottom: 0.5rem;
  font-weight: normal;
  font-family: inherit;
}

.kontakt-form input,
.kontakt-form textarea {
  padding: 0.8rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-family: inherit;
  font-size: 1rem;
}

.kontakt-form select {
  padding: 0.8rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-family: inherit;
  font-size: 1rem;
  background-color: #fff;
}

.kontakt-form button {
  margin-top: 1.5rem;
  margin-bottom: 1rem;
  padding: 0.8rem 1.5rem;
  font-size: 1rem;
  background-color: #0071ce;
  color: #fff;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.kontakt-form button:hover {
  background-color: #444;
}

.checkbox-wrapper {
  display: table;
  width: 100%;
  margin-top: 1em;
}

.checkbox-cell {
  display: table-cell;
  vertical-align: middle;
  width: 2.2em;
}

.checkbox-label-cell {
  display: table-cell;
  vertical-align: middle;
  font-weight: normal;
  font-family: inherit;
  line-height: 1.5;
}

.checkbox-label-cell a {
  color: #003366;
  text-decoration: underline;
}

@media (max-width: 600px) {
  .checkbox-wrapper {
    flex-direction: row;
    align-items: flex-start;
  }
}

.checkbox-label {
  display: block;
  font-size: 1em;
  font-weight: normal;
  font-family: inherit;
  line-height: 1.5;
  margin-top: 1em;
  margin-left: 0.5em;
}

input[type=checkbox] {
  transform: scale(1.4);
  margin-right: 0.5em;
}

@media (max-width: 600px) {
  .checkbox-label {
    font-size: 1rem;
  }

  input[type=checkbox] {
    transform: scale(1.3);
  }
  
  .kontakt-form select {
    font-size: 0.8rem;
    color: black;
  }
}

.pflicht-hinweis {
  font-size: 0.95em;
  color: #333;
  margin-bottom: 1em;
}

#nachricht {
  resize: vertical;
}

/* SPECIFIC SITE LAYOUT: LEISTUNGEN */

#leistungen {
  font-family: inherit;
  color: inherit;
  padding: 2rem 1rem;
}

.leistungen-liste {
  list-style: none;
  margin: 0;
  padding: 0;
}

.leistung-item {
  padding: 0;
  margin-bottom: 2rem !important;
  border-radius: 12px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.20);
  overflow: hidden;
}

.leistung-link {
  display: flex;
  gap: 1rem;
  align-items: flex-start;
  padding: 1rem;
  width: 100%;
  height: 100%;
  text-decoration: none;
  color: inherit;
  background: #f0f0f0;  
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.20);
  border-radius: 12px;
  transition: background-color 0.2s ease;
  box-sizing: border-box;
}

.leistung-link:hover {
  background-color: #e0e0e0;
  /*border: 1px;
  border-color: #0071ce;
  border-style: solid;*/
}

.bild-container img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 8px;
}

.text-container h3 {
  margin: 0 0 0.5rem;
  font-size: 1.25rem;
  color: var(--color-headline);
}

.text-container p {
  margin: 0;
  font-size: 1rem;
  line-height: 1.5;
  color: var(--color-text);
}

@media (max-width: 768px) {
  .leistung-link {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .bild-container img {
    width: 80px;
    height: 80px;
  }

  .text-container {
    max-width: 90%;
  }

  .text-container h3 {
    font-size: 1rem;
  }

  .text-container p {
    font-size: 0.875rem;
    text-align: justify;
    hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    overflow-wrap: break-word;
  }
}

/* COOKIEBANNER */

.cookie-toast {
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  background: #f6f6f6;
  padding: 1rem 1.5rem;
  border-radius: 12px;
  box-shadow: 10px 4px 20px rgba(0,0,0,0.2);
  display: none;
  align-items: center;
  gap: 1rem;
  z-index: 1000;
  /*max-width: 90%;*/
  font-size: 0.85rem;
  flex-wrap: wrap;
  border-color: #0071ce;
  border-width: 1px;
  border-style: solid;
  width: 25%;
  max-width: 600px;
}

.cookie-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 1rem;
}

.cookie-title {
  font-weight: bold;
  font-size: 1rem;
  color: #0071ce;
}

.cookie-row {
  display: flex;
  align-items: center;
  gap: 1.2rem;
  text-align: left;
}

.cookie-icon {
  font-size: 1.5rem;
}

.cookie-text {
  max-width: 100%;
}

.cookie-buttons {
  display: flex;
  gap: 0.5rem;
  justify-content: center;
}

#accept-cookies {
  background-color: #2ecc71;
  color: white;
  border: none;
  padding: 0.4rem 1rem;
  border-radius: 6px;
  cursor: pointer;
}

#privacy-policy {
  background-color: #333;
  color: white;
  border: none;
  padding: 0.4rem 1rem;
  border-radius: 6px;
  cursor: pointer;
}

@media (max-width: 600px) {
  .cookie-toast {
    flex-direction: column;
    font-size: 0.75rem;
    text-align: center;
    width: 80%;
  }
  .cookie-content {
    flex-direction: column;
    align-items: center;
  }
  
  .cookie-title {
    font-size: 0.9rem;
  }

  .cookie-text {
    font-size: 0.7rem;
  }
}

@media (max-width: 500px) {
  .cookie-content {
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
  }
}

.impressum-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin-top: 1.5rem;
}

.impressum-grid .left,
.impressum-grid .right {
  flex: 1 1 250px;
  min-width: 200px;
}

/* LOEUNGSANSÄTZE */

.loesungsarten {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
  max-width: 900px;
  margin-top: 3rem;
  margin-bottom: 2rem !important;
}

.loesungsart-box {
  flex: 1 1 300px;
  text-decoration: none;
}

.bildtext-wrapper {
  position: relative;
  overflow: hidden;
  border-radius: 16px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  transition: box-shadow 0.3s ease;
}

.bildtext-wrapper img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 16px;
  transition: transform 0.3s ease;
}

.text-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0);
  color: white;
  font-family: 'Inter', sans-serif;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  border-radius: 16px;
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px); /*Safari*/
}

.text-overlay .kurztext {
  position: absolute;
  width: 100%;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  padding: 0.1em 0;
  background: rgba(0, 0, 0, 0.3);
  font-size: 2.0rem;
  opacity: 1;
  text-align: center;
}

.text-overlay .langtext {
  opacity: 0;
  transition: opacity 0.4s ease, transform 0.4s ease;
  transform: scale(0.98);
  width: 100%;
  padding: 0 1rem;
}

.kurztext {
  font-size: 3rem;
  opacity: 1;
  background: rgba(0, 0, 0, 0.5);
  padding: 0.4em 0;
}

.langtext {
  font-size: 1rem;
  opacity: 0;
  transform: scale(0.98);
  transition: opacity 0.4s ease, transform 0.4s ease;
  align-self: flex-start;
  margin-top: 1.5rem;
}

.langtext-headline {
  font-size: 1.6rem;
  font-weight: 700;
  letter-spacing: 0.5px;
  margin-bottom: 0.5em;
}

.langtext-content {
  font-size: 1.05rem;
  font-weight: 300;
  line-height: 1.6;
  text-align: justify;
  hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  overflow-wrap: break-word;
}

.loesungsart-box:hover img {
  transform: scale(1.4);
}

.loesungsart-box:hover .kurztext {
  opacity: 0;
}

.loesungsart-box:hover .langtext {
  opacity: 1;
  transform: scale(1);
}

.loesungsart-box:hover .text-overlay {
  background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.5));
  /*background: rgba(0, 0, 0, 0.4);*/
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px); /*Safari*/
}

.loesungsart-box:hover .bildtext-wrapper {
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.25);
}

@media (max-width: 700px) {
  .loesungsarten {
    flex-direction: column;
    align-items: center;
  }

  .loesungsart-box .kurztext {
    display: none;
  }

  .loesungsart-box .langtext {
    opacity: 1;
    transform: scale(1);
  }

  .loesungsart-box .bildtext-wrapper {
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.25);
  }

  .loesungsart-box .text-overlay {
    background: linear-gradient(
      rgba(0, 0, 0, 0.6),
      rgba(0, 0, 0, 0.7)
    );
  }
  
  .loesungsart-box .langtext-headline {
    font-size: 1.2rem;
  }

  .loesungsart-box .langtext-content {
    font-size: 0.9rem;
  }
}

/* ICON-GRID */

.icon-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2.5rem 2rem;
  margin: 3rem auto;
  max-width: 860px;
  padding: 0 1rem;
  justify-items: center;
}

.icon-box {
  width: 100%;
  max-width: 140px;
  text-align: center;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  border-radius: 12px;
  padding: 1rem;
  background: #fff;
  box-shadow: 0 2px 6px rgba(0,0,0,0.1);
}

.icon-box:hover {
  transform: translateY(-5px);
  box-shadow: 0 6px 16px rgba(0,0,0,0.15);
  background: linear-gradient(to bottom right, #e0f2ff, #f6fcff);
  touch-action: manipulation;
}

.icon-box img {
  width: 64px;
  height: 64px;
  object-fit: contain;
  margin-bottom: 0.5rem;
}

.icon-box span {
  display: block;
  font-size: 0.8rem;
  font-weight: 400;
  color: inherit;
}

.highlight-box {
  background: linear-gradient(to bottom right, #e0f2ff, #f6fcff);
  border: 1px solid rgba(0, 113, 206, 0.2);
  animation: borderPulse 5s ease-in-out infinite;
}

@keyframes borderPulse {
  0% {
    border-color: transparent;
  }
  50% {
    border-color: #0071ce;
  }
  100% {
    border-color: transparent;
  }
}

@media (max-width: 768px) {
  .icon-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem 1.5rem;
  }

  .icon-box {
    max-width: 120px;
    padding: 0.75rem;
  }

  .icon-box img {
    width: 52px;
    height: 52px;
  }

  .icon-box span {
    font-size: 0.8rem;
  }

  .icon-box:hover:not(.highlight-box) {
    transform: none;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    background: #fff;
  }
}

@media (hover: none) and (pointer: coarse) {
  .icon-box:hover:not(.highlight-box) {
    transform: none;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    background: #fff;
  }
}

/* HÄNDLER LOGIN */

.login-wrapper-gesamt {
  background: #f0f0f0;
  padding: 2rem;
  border-radius: 16px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
  margin-top: 2rem;
}

.login-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  align-items: flex-start;
}

.login-text {
  flex: 1;
  min-width: 240px;
  color: #003366;
  text-align: justify;
  hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  overflow-wrap: break-word;
}

.kleiner-text {
  font-size: 0.7rem;
  color: #003366;
  margin-top: 1rem;
  text-align: justify;
  hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  overflow-wrap: break-word;
}

.kleiner-text a {
  color:#003366;
  text-decoration: underline;
}

.login-text p + .kleiner-text {
  margin-top: 2.2rem;
}

.login-box {
  flex: 1;
  min-width: 240px;
}

.login-box form {
  display: flex;
  flex-direction: column;
}

.login-box label {
  margin-bottom: 0.5rem;
  font-weight: normal;
}

.login-box input {
  padding: 0.8rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-family: inherit;
  font-size: 1rem;
  margin-bottom: 0rem;
  margin-top: 0rem;
}

.login-box button {
  padding: 0.8rem;
  background-color: #0071ce;
  color: #fff;
  border: none;
  border-radius: 6px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.login-box button:hover {
  background-color: #444;
}

.login-error-toast {
  display: none;
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background-color: #c62828;
  color: white;
  padding: 0.5rem 2rem;
  font-size: 1rem;
  text-align: center;
  border-radius: 0 0 8px 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  z-index: 1000;
  animation: slideDownFade 0.4s ease-out;
}

@keyframes slideDownFade {
  0% {
    transform: translateX(-50%) translateY(-100%); 
    opacity: 0;
  }
  100% {
    transform: translateX(-50%) translateY(0);
    opacity: 1;
  }
}

@media (max-width: 768px) {
  .login-wrapper {
    flex-direction: column;
  }

  .login-box,
  .login-text {
    width: 100%;
  }
  
  .login-error-toast {
    padding: 0.5rem 0.5rem;
    font-size: 0.8rem;
    text-align: center;
    width: 60%;
  }
}

/* SERVER ERROR */

.servererror-toaster {
  display: none;
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background-color: #c62828;
  color: white;
  padding: 0.5rem 2rem;
  font-size: 1rem;
  text-align: center;
  border-radius: 0 0 8px 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  z-index: 1000;
  animation: slideDownFade 0.4s ease-out;
}

@keyframes slideDownFade {
  0% {
    transform: translateX(-50%) translateY(-100%); 
    opacity: 0;
  }
  100% {
    transform: translateX(-50%) translateY(0);
    opacity: 1;
  }
}

@media (max-width: 768px) {
  .servererror-toaster {
    padding: 0.5rem 0.5rem;
    font-size: 0.8rem;
    text-align: center;
    width: 60%;
  }
}

/* DROPDOWN TEXTCONTAINER */

.dropdown-container {
  margin-top: 2rem;
  margin-bottom: 2rem;
  padding: 1rem;
  padding-top: 2rem;
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

.dropdown-item {
  border-bottom: 1px solid #ccc;
  padding: 1rem 0;
}

.dropdown-item:last-child {
  border-bottom: none;
}

.dropdown-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  cursor: pointer;
}

.dropdown-header img {
  width: 80px;
  height: 80px;
  object-fit: cover;
  border-radius: 6px;
  flex-shrink: 0;
}

.dropdown-header h3 {
  flex-grow: 1;
  font-size: 1.1rem;
  margin: 0;
  color: inherit;
}

.dropdown-toggle {
  font-size: 1.5rem;
  font-weight: bold;
  user-select: none;
  transition: transform 0.2s ease;
}

.dropdown-body {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
  margin: 0.5rem 0 0 0;
  padding-left: 0px;
  color: #003366;
}

.dropdown-item.open .dropdown-toggle {
  content: "-";
  transform: rotate(180deg);
}

.dropdown-item {
  position: relative;
  padding-left: 1rem;
  border-bottom: 1px solid #ccc;
  transition: background-color 0.3s ease;
}

.dropdown-item:not(.open):hover {  
  background-color: #f1f1f1;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
}

.dropdown-item.open {
  border-left-color: #0071ce;
  background: #fff;
}

.dropdown-item::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 3px;
  background-color: transparent;
  border-radius: 0 2px 2px 0;
  transition: background-color 3s ease;
}

.dropdown-item.open::before {
  background-color: #0071ce;
}

@media (max-width: 768px) {
  .dropdown-header h3 {
    font-size: 0.9rem;
    font-weight: bold;
  }
  
  .dropdown-body {
    font-size: 0.8rem;  
  }
}

/* EMBEDDED BANNER */

.embedded-banner-wrapper {
  width: 96%;
  max-width: 800px;
  border-radius: 12px;
  margin: 2rem auto 0 auto;
  overflow: hidden;
  box-shadow:
    0 8px 30px rgba(0, 0, 0, 0.25),
    0 0 12px rgba(50, 100, 200, 0.1);
  filter: grayscale(30%) brightness(1.1) contrast(1.05) saturate(1.3);
}

.embedded-banner {
  width: 100%;
  height: auto;
  display: block;
  transition: transform 0.5s ease;
  transform: scale(1);
}

@media (hover: hover) and (pointer: fine) {
  .embedded-banner-wrapper:hover .embedded-banner {
    transform: scale(1.20);
  }
}

/* REPARATURAUFTRAG */

#reparaturauftrag {
  margin-top: 2rem;
  background: #f0f0f0;
  padding: 2rem;
  border-radius: 12px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
  max-width: 700px;
  margin-left: auto;
  margin-right: auto;
}

#reparaturauftrag h2 {
  margin-top: 0;
  color: #0071ce;
  font-size: 1.6rem;
  margin-bottom: 1.5rem;
}

#reparaturauftrag fieldset {
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 1rem;
  padding-top: 0.5rem;
  padding-bottom: 2rem;
  margin: 1.5rem 0;
}

#reparaturauftrag legend {
  font-weight: bold;
  color: #003366;
  font-size: 1rem;
  padding: 0.5rem;
}

.geraetebutton-container {
  text-align: center;
  margin-top: 1.5rem;
}

.fehlermeldung {
  color: #b00020;
  font-size: 0.85rem;
  background-color: #fdecea;
  border: 1px solid #f5c6cb;
  padding: 10px 15px;
  border-radius: 8px;
  margin-bottom: 40px;
}

#reparaturauftrag .geraet-hinzufuegen {
  display: inline-block;
  padding: 0.6rem 1rem;
  margin-top: -3rem;
  font-size: 1rem;
  background-color: #0071ce;
  color: #fff;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#reparaturauftrag .geraet-hinzufuegen:hover {
  background-color: #444;
}

#reparaturauftrag .geraet-entfernen {
  margin-top: 2rem;
  margin-bottom: -2.5rem;
  padding: 0.6rem 1rem;
  font-size: 1rem;
  background-color: #d9534f;
  color: #fff;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#reparaturauftrag .geraet-entfernen:hover {
  background-color: #a8231f;
}

#reparaturauftrag textarea {
  resize: vertical;
}

.geraeteblock {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem 1.5rem;
  align-items: start;
  background-color: #fff;
  border: 1px dashed #aaa;
  border-radius: 8px;
  padding: 1rem;
  margin-bottom: 1rem;
  background: #fef9d8;
}

.geraeteblock label {
  grid-column: span 1;
}

.geraeteblock label.zusatzhinweis {
  grid-column: span 2;
  color: #444;
  font-size: 0.9rem;
  line-height: 1.1;
  margin-top: -0.3rem;
  margin-bottom: -0.3rem;
  display: block;
}

.geraeteblock input[type=text],
.geraeteblock input[type=date],
.geraeteblock select,
.geraeteblock textarea {
  width: 100%;
  box-sizing: border-box;
}

.geraeteblock textarea {
  grid-column: span 2;
}

.geraeteblock .checkbox-wrapper {
  display: flex;
  align-items: center;
  gap: 0.6rem;
  grid-column: span 2;
  margin-top: -0.3rem;
}

.geraeteblock .checkbox-wrapper input[type=checkbox],
.geraeteblock .checkbox-wrapper input[type=radio] {
  transform: scale(1.2);
  margin: 0;
  vertical-align: middle;
}

.geraeteblock .checkbox-wrapper label {
  margin: 0;
  line-height: 1;
}

.geraetebutton-container {
  text-align: center;
  margin-top: 1rem;
  grid-column: span 2;
}

.geraetebutton-container .geraet-entfernen {
  display: inline-block;
}

.einsenderblock {
  background-color: #fff;
  border: 1px dashed #aaa;
  border-radius: 8px;
  padding: 1rem;
  margin-bottom: 1rem;
}

.einsenderdaten {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.3rem 1.5rem;
  width: 100%;
  box-sizing: border-box;
}

.form-group {
  display: flex;
  flex-direction: column;
}

.radio-options {
  display: flex;
  gap: 1.5rem;
  margin-top: 0.3rem;
  align-items: center;
}

.radio-options.rechts {
  display: flex;
  justify-content: flex-end;
  gap: 1.5rem;
}

.radio-inline {
  display: inline-flex;
  align-items: center;
  gap: 0.4rem;
  font-size: 1rem;
  line-height: 1;
}

.rueckadresse-auswahl {
  margin-top: 1rem;
}

.rueckadresse-auswahl label {
  display: block;
  margin-bottom: 0.3rem;
}

.rueckadresse-auswahl .radio-options {
  display: flex;
  align-items: flex-start;
  gap: 0.8rem;
  margin-bottom: 0.3rem;
}

.rueckadresse-auswahl .radio-inline {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 0.95rem;
  line-height: 1.4;
}

.verrechnung-block {
  border: 1px solid #ccc;
  border-radius: 8px;
  grid-column: span 2;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1.2rem;
  margin-top: 2rem;
  margin-bottom: -2.5rem;

}

.verrechnungsgruppe {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  gap: 1rem;
}

.verrechnungsgruppe label {
  font-weight: 500;
  margin: 0;
}

.verrechnungsgruppe .radio-options {
  display: flex;
  gap: 1.5rem;
  justify-content: flex-end;
}

.input-error {
  border: 1px solid red !important;
}

#reparaturauftrag fieldset#bemerkungenblock {
  /*border: 1px solid #0071ce;*/
  box-shadow: 0 2px 8px rgba(0, 113, 206, 0.2);
  background-color: #f4faff;
}

@media (max-width: 600px) {
  .geraeteblock {
    grid-template-columns: 1fr;
  }

  .geraeteblock label:not(.zusatzhinweis) {
    display: block;
    margin-bottom: 0.3rem;
  }

  .geraeteblock input[type=text], .geraeteblock input[type=date], .geraeteblock select, .geraeteblock textarea {
    display: block;
    width: 100%;
    margin-bottom: 1rem;
  }

  .geraeteblock textarea,
  .geraeteblock .checkbox-wrapper {
    grid-column: span 1;
  }

  .einsenderdaten {
    grid-template-columns: 1fr;
  }

  .form-group,
  .form-group.align-bottom {
    width: 100%;
  }

  .verrechnungsgruppe {
    grid-template-columns: 1fr;
    align-items: flex-start;
  }

  .verrechnungsgruppe .radio-options {
    justify-content: flex-start;
    margin-top: 0.5rem;
  }
}
